# Module edoc_run

Interface for calling EDoc from Erlang startup options.

Copyright © 2003 Richard Carlsson

- Description
- Function Index
- Function Details

Authors: Richard Carlsson (`richardc@csd.uu.se`).

See also: edoc.

## Description

Interface for calling EDoc from Erlang startup options.

The following is an example of typical usage in a Makefile:

         docs:
                 erl -noshell -run edoc_run application "'$(APP_NAME)'" \
                   '"."' '[{def,{vsn,"$(VSN)"}}]' -s init stop

(note the single-quotes to avoid shell expansion, and the double-quotes enclosing the strings).

## Function Index

application/1 |
file/1 | Calls `edoc:file/2` with the corresponding arguments.
files/1 |
packages/1 |

## Function Details

### application/1

`application(Args) -> term()`

### file/1

`file(Args::[string()]) -> ok | error`

This function is deprecated: This is part of the old interface to EDoc and is mainly kept for backwards compatibility. The preferred way of generating documentation is through one of the functions `application/1`, `packages/1` and `files/1`.

Calls `edoc:file/2` with the corresponding arguments. The strings in the list are parsed as Erlang constant terms. The list can be either `[File]` or `[File, Options]`. In the first case, an empty list of options is passed to `edoc:file/2`.

The following is an example of typical usage in a Makefile:

         $(DOCDIR)/%.html:%.erl
                 erl -noshell -run edoc_run file '"$<"' '[{dir,"$(DOCDIR)"}]' \
                   -s init stop

### files/1

`files(Args) -> term()`

### packages/1

`packages(Args) -> term()`